{"title":"Get employees (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_employee_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_employee_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_employee_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets an employee object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get employees (v1.0)","slug":"get-employees-v10","at":0,"chars":1920},{"level":2,"title":"HTTP request","slug":"http-request","at":109,"chars":208},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":317,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":396,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":465,"chars":1196},{"level":2,"title":"Related information","slug":"related-information","at":1661,"chars":259}],"text":"# Get employees (v1.0)\nRetrieve the properties and relationships of an employee object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/employees({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and an employees object in the response body.\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/employees({id})\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"id-value\",\n  \"number\": \"AH\",\n  \"displayName\": \"Annette Hill\",\n  \"givenName\": \"Annette\",\n  \"middleName\": \"\",\n  \"surname\": \"Hill\",\n  \"jobTitle\": \"Secretary\",\n  \"address\": {\n    \"street\": \"677 Fifth Avenue\",\n    \"city\": \"New York\",\n    \"state\": \"\",\n    \"countryLetterCode\": \"\",\n    \"postalCode\": \"10022\"\n  },\n  \"phoneNumber\": \"4465-4899-4643\",\n  \"mobilePhone\": \"4564-4564-7831\",\n  \"email\": \"\",\n  \"personalEmail\": \"ah@cronus-demosite.com\",\n  \"employmentDate\": \"2001-06-01\",\n  \"terminationDate\": \"0001-01-01\",\n  \"status\": \"Active\",\n  \"birthDate\": \"1973-12-12\",\n  \"picture@odata.mediaReadLink\": \"https://api.financials.dynamics.com/v1.0/api/v1.0/companies({id})/employees({id})/picture\",\n  \"lastModifiedDateTime\": \"2017-03-16T14:57:19.497Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\n../resources/dynamics_employee\nPost Employee<dynamics_create_employee>\nPatch Employee<dynamics_employee_update>\ndynamics_employee_delete"}